Problem with 6.1.6 installation on XE2

Discussion of open issues, suggestions and bugs regarding SDAC (SQL Server Data Access Components) for Delphi, C++Builder, Lazarus (and FPC)
Post Reply
brace
Posts: 213
Joined: Wed 14 Feb 2007 08:26

Problem with 6.1.6 installation on XE2

Post by brace » Fri 14 Dec 2012 15:51

After installing 6.1.6 on XE2 Update4 HotFix1 I have this error at startup

[Window Title]
Error

[Content]
Package C:\Program Files (x86)\Embarcadero\RAD Studio\9.0\Bin\dclsdac160.bpl must be recompiled before it can be installed..
Do you want to attempt to load this package the next time a project is loaded?

[Yes] [No]

Which is the reason?

Thanks

AndreyZ

Re: Problem with 6.1.6 installation on XE2

Post by AndreyZ » Mon 17 Dec 2012 14:20

Hello,

Please check the following:
- if you don't have RAD Studio XE2 updates or you have RAD Studio XE2 Update 1, you should use an SDAC version earlier than 6.1.3, because SDAC 6.1.3 requires RAD Studio XE2 Update 2;
- if you have RAD Studio XE2 Update 2, you should use SDAC versions 6.1.3 or 6.1.4, because SDAC 6.1.5 requires RAD Studio XE2 Update 4;
- if you have RAD Studio XE2 Update 4, you should use SDAC versions 6.1.5 or 6.1.6, because SDAC 6.2.7 requires RAD Studio XE2 Update 4 Hotfix 1;
- if you have RAD Studio XE2 Update 4 Hotfix 1, you should use SDAC version 6.2.7 or higher.
This compatibility problem is caused by the fact that even update versions and Hotfix 1 of RAD Studio XE2 are not compatible with previous updates.

Post Reply